import { FakeAuthRepository } from '@app/testing/domain/authentification/fake-auth.repository';
import { VerifyAuthenticatedUsecase } from '@app/application/authentification/verify-authenticated.usecase';

describe('VerifyAuthenticationUseCase', () => {
  it("devrait retourner l'utilisateur authentifier ", () => {
    const repo = new FakeAuthRepository();
    const useCase = new VerifyAuthenticatedUsecase(repo);

    expect(useCase.execute()).toBeTruthy();
  });
});
